// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

void setup() {
  /*
     Statements in a function are run one by one.
     Every statement ends with a semicolon.

     println() is a function that
       prints something on the message area,
       then a new line.
     The name "println" comes from the abbreviation of
       "print" and "line", and so the last two characters
        are lowercase letters l and n.

     Arguments put inside the println() function is printed out
       on the console.
  */

  // This prints some text within the double quote signs
  // Such text are called Strings.
  println("Hello world!");

  // This prints an integer number.
  println(4);

  // This prints a floating point number.
  // Note that the f specifies that it is a floating point number.
  println(3.5f);

  // This prints a double precision floating point number.
  // Double precision floating point numbers, or doubles,
  //   are default if no suffix is specified for numbers with
  //   the decimal point.
  println(-5.2);

  // This prints an empty line
  println();

  // We see the effect of empty line if we print something here
  println("Good bye!");
}

void draw() {
}
